package com.yd.dal.mapper.marketing;

import com.yd.dal.entity.marketing.MktLeadsGoalsActions;import org.apache.ibatis.annotations.Param;import java.util.List;

public interface MktLeadsGoalsActionsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MktLeadsGoalsActions record);

    int insertSelective(MktLeadsGoalsActions record);

    MktLeadsGoalsActions selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MktLeadsGoalsActions record);

    int updateByPrimaryKey(MktLeadsGoalsActions record);

    void updateIsActiveIsNull(@Param("practitionerId") Long practitionerId, @Param("year") Integer year, @Param("goalsType") Integer goalsType);

    List<MktLeadsGoalsActions> findByMktLeadsGoalsActions(MktLeadsGoalsActions mktLeadsGoalsActions);

    List<MktLeadsGoalsActions> findTeamGoalsMonth(@Param("practitionerId") Long practitionerId, @Param("year") Integer year);
}